﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class CatfishScript : MonoBehaviour {

	private int catfishHealth; 
	private bool hurtingAnim; 

	// Reference Variables
	public Image healthBar; 
	public Animator animator;
	private float resetTimer = 1;
	private float currentTime = 0;

	// Use this for initialization
	void Start () {
		// animator = GetComponent<Animator>(); 
		catfishHealth = 150; 
		// StartCoroutine("ResetAnims");

		currentTime = resetTimer; 
	}
	
	// Update is called once per frame
	void Update () {
		currentTime -= Time.deltaTime; 
		if( currentTime <= 0 ){
			currentTime = resetTimer; 
			animator.SetBool("isHurting", false); 
		}
	
	}

	public void HitCatfish(){
		catfishHealth--; //print(catfishHealth);
		healthBar.fillAmount = (float) catfishHealth / 150;
		animator.SetBool("isHurting", true); 
		if( catfishHealth <= 0 ){
			SceneManager.LoadScene("End");
		}
	}

	// [[ ----- ON TRIGGER ENTER 2D ----- ]]
	private void OnTriggerEnter2D( Collider2D _c ){
		if( _c.gameObject.tag == "Player" ){ HitCatfish(); }
		// HitCatfish();
	}

	// [[ ----- RESET ANIMS ----- ]]
	// private IEnumerable ResetAnims(){

		// while( true ){
		// 	yield return new WaitForSeconds( 1f );
		// 	animator.SetBool("isHurting", false); 
		// }
		// StartCoroutine("ResetAnims");
	// }
}
