﻿using UnityEngine;
using System.Collections;

public class SmoothPosition : MonoBehaviour {

	public Vector2 targetPosition;
	public float smoothFactor = 5f; 

	// Use this for initialization
	void Start () {
		
		//init
		targetPosition = transform.position; 
	}
	
	// Update is called once per frame
	void Update () {
		transform.position = Vector2.Lerp( transform.position, targetPosition, Time.deltaTime * smoothFactor );
	}
}
