﻿using UnityEngine;
using System.Collections;

public class WaveNode : MonoBehaviour {

	public int id;
	private float frequency = 1;
	private float magnitude = 1; 
	private float moveSpeed; 
	private bool moving; 

	// Reference Variables
	private SmoothPosition smoothPosition;

	// [[ ----- AWAKE ----- ]]
	private void Awake(){
		WaveController.nodeList.Add(this); 
		id = WaveController.nodeList.Count - 1; 
		smoothPosition = GetComponent<SmoothPosition>();

		// DontDestroyOnLoad(gameObject);
	
	}

	// Use this for initialization
	void Start () {

	}
	
	// Update is called once per frame
	void Update () {
		

	}

	// [[ ----- RESET POSITION ----- ]]
	public void ResetPosition(){
		smoothPosition.targetPosition = new Vector2( transform.position.x, 0 ); 
	}

	// [[ ----- SET TARGET ----- ]]
	public void SetTarget( float _y ){
		smoothPosition.targetPosition = new Vector2( transform.position.x, _y ); 
	}

	
}
